### Enumeration

# Gio CredentialsType

since: 2.26

#### Declaration

    enum Gio.CredentialsType

#### Description

Enumeration describing different kinds of native credential types.

Available since: 2.26

#### Members

`G_CREDENTIALS_TYPE_INVALID`

  Indicates an invalid native credential type.

  - Value: `0`
  - Nickname: `invalid`
  - Available since: 2.26
`G_CREDENTIALS_TYPE_LINUX_UCRED`

  The native credentials type is a `struct ucred`.

  - Value: `1`
  - Nickname: `linux-ucred`
  - Available since: 2.26
`G_CREDENTIALS_TYPE_FREEBSD_CMSGCRED`

  The native credentials type is a `struct cmsgcred`.

  - Value: `2`
  - Nickname: `freebsd-cmsgcred`
  - Available since: 2.26
`G_CREDENTIALS_TYPE_OPENBSD_SOCKPEERCRED`

  The native credentials type is a `struct sockpeercred`. Added in 2.30.

  - Value: `3`
  - Nickname: `openbsd-sockpeercred`
  - Available since: 2.26
`G_CREDENTIALS_TYPE_SOLARIS_UCRED`

  The native credentials type is a `ucred_t`. Added in 2.40.

  - Value: `4`
  - Nickname: `solaris-ucred`
  - Available since: 2.26
`G_CREDENTIALS_TYPE_NETBSD_UNPCBID`

  The native credentials type is a `struct unpcbid`. Added in 2.42.

  - Value: `5`
  - Nickname: `netbsd-unpcbid`
  - Available since: 2.26
`G_CREDENTIALS_TYPE_APPLE_XUCRED`

  The native credentials type is a `struct xucred`. Added in 2.66.

  - Value: `6`
  - Nickname: `apple-xucred`
  - Available since: 2.26
`G_CREDENTIALS_TYPE_WIN32_PID`

  The native credentials type is a PID `DWORD`. Added in 2.72.

  - Value: `7`
  - Nickname: `win32-pid`
  - Available since: 2.26